<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC
    "-//SPRING//DTD BEAN//EN"
    "http://www.springframework.org/dtd/spring-beans.dtd" >
<beans>
  <bean
    class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
    <property name="properties">
      <bean factory-bean="rmsEnvProperties"
        factory-method="getProperties">
      </bean>
    </property>
  </bean>
  
  <!-- 
    참고사항
  rmsProperties 를 사용하면서 ${eai.jdbc.Name} 을 사용하면 문제가 발생함
  rmsProperties에서는 내부에서 DB를 사용하기 때문
  해결방법
  1. rmsEnvProperties 를 추가 하고 ${eai.jdbc.Name} 를 쓰는 방법(rmsProperties에서 DB 조회하는부분 삭제)
  2. #{systemProperties['eai.jdbc.Name']} 를 쓰는 방법
   -->
  
   <bean
    id="rmsEnvProperties"
    class="com.eactive.eai.rms.client.context.RmsEnvProperties"
    init-method="init">
  </bean>
  
  <bean id="dataSource" class="com.eactive.eai.common.util.JndiObjectFactoryBeanForElink">
    <!--<property name="jndiName" value="jdbc/IECI_JDBCPool1"/>-->
    <property name="jndiName" value="${eai.jdbc.Name}"/>
  </bean>
</beans>
